Subject: gdm boot up failure

From: Christopher Howard <[email-masked]>
Date: Sat, 28 Nov 2020 08:53:18 -0900

Boot up process continues mostly like normal, but instead of going to
gdm login screen, screen gets stuck on a black screen with a flashing
cursor. I recall seeing a message in the virtual console about the "c1"
session being removed, though I can't find the text in the logs. The
messages log has messages about failing to activate an Accounts
service, and also some entries about dead gdm processes.

     $ guix describe
     Generation 10	Sep 03 2018 17:32:44	(current)
       guix e0fa68c
         repository URL: https://git.savannah.gnu.org/git/guix.git
         branch: master
         commit: e0fa68c7718fffd33d81af415279d6ddb518f727

My messages log, and also my system description file, is attached. The
system was built using the above commit. My user profile is somewhat
behind the system but only because I could not successfully build my
user profile do to the gnutls-dane build failure. (But I hadn't even
logged in to my user at this point.)

christopher@nightshade ~$ neofetch --stdout
christopher@nightshade 
---------------------- 
OS: Guix System 9e2669690c80dc00973859edf732964f0a514d7b x86_64 
Host: GA-880GM-UD2H 
Kernel: 5.7.15-gnu 
Uptime: 13 mins 
Packages: 103 (guix-system), 84 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1200 
DE: GNOME 3.34.2 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: kitty 
CPU: AMD Athlon II X3 455 (3) @ 3.300GHz 
GPU: AMD ATI Radeon HD 4250 
Memory: 1139MiB / 7456MiB

-- 
Christopher Howard
p: +1 (907) 374-0257
w: https://librehacker.com
social: https://gnusocial.club/librehacker
gpg: ADDEAADE5D607C8D (keys.gnupg.net)